Subject: 12.2.0; AucTeX randomly inserts {\sc } instead of \textsc{}

From: Guillaume MULLER <[email-masked]>
Date: Thu, 2 Apr 2020 17:30:07 +0200

Hi,

Please ignore my previous email... Here is the bug report...

Remember to cover the basics.  Including a minimal LaTeX example
file exhibiting the problem might help.

Hi,

I'm using AucTeX for years now...

I'm using emacs "26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)" and AucTeX 12.2.0 (installed from MELPA) on XUbuntu 19.10.

According to doc[1] (and years of usage...), hitting `C-c C-f C-<x>` should insert (`\text<xx>{yyy}`). e.g. `\textsc{yyy}`

However, on my machine, AucTeX randomly inserts font commands in old TeX style (`{\xx yyy}`) or modern one (`\text<xx>{yyy}`).

I have absolutely no clue why the behaviour is not consistent accross all .tex files, nor why it does not respect the documentation (always using modern syntax)....

PLEASE HELP!!!! This randomness is REALLY getting on my nerves!!! How can I get back a consistent behaviour???

[1] https://www.gnu.org/software/auctex/manual/auctex/Font-Specifiers.html

Emacs  : GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)
 of 2019-09-23, modified by Debian
Package: 12.2.0

current state:
==============
(setq
 AUCTeX-version "12.2.0"
 LaTeX-command-style '(("" "%(PDF)%(latex) %(file-line-error) %(extraopts) %S%(PDFout)"))
 image-types '(svg imagemagick png gif tiff jpeg xpm xbm pbm postscript)
 preview-image-type 'png
 preview-image-creators '((dvipng (open preview-gs-open preview-dvipng-process-setup)
                           (place preview-gs-place) (close preview-dvipng-close))
                          (png (open preview-gs-open) (place preview-gs-place)
                           (close preview-gs-close))
                          (jpeg (open preview-gs-open) (place preview-gs-place)
                           (close preview-gs-close))
                          (pnm (open preview-gs-open) (place preview-gs-place)
                           (close preview-gs-close))
                          (tiff (open preview-gs-open) (place preview-gs-place)
                           (close preview-gs-close))
                          )
 preview-dvipng-image-type 'png
 preview-dvipng-command "dvipng -picky -noghostscript %d -o %m/prev%%03d.png"
 preview-pdf2dsc-command "pdf2dsc %s.pdf %m/preview.dsc"
 preview-gs-command "/usr/bin/gs"
 preview-gs-options '("-q" "-dDELAYSAFER" "-dNOPAUSE" "-DNOPLATFONTS" "-dPrinted"
                      "-dTextAlphaBits=4" "-dGraphicsAlphaBits=4")
 preview-gs-image-type-alist '((png png "-sDEVICE=png16m") (dvipng png "-sDEVICE=png16m")
                               (jpeg jpeg "-sDEVICE=jpeg") (pnm pbm "-sDEVICE=pnmraw")
                               (tiff tiff "-sDEVICE=tiff12nc"))
 preview-fast-conversion t
 preview-prefer-TeX-bb nil
 preview-dvips-command "dvips -Pwww -i -E %d -o %m/preview.000"
 preview-fast-dvips-command "dvips -Pwww %d -o %m/preview.ps"
 preview-scale-function 'preview-scale-from-face
 preview-LaTeX-command '("%`%l \"\\nonstopmode\\nofiles\\PassOptionsToPackage{"
                         ("," . preview-required-option-list)
                         "}{preview}\\AtBeginDocument{\\ifx\\ifPreview\\undefined"
                         preview-default-preamble "\\fi}\"%' \"\\detokenize{\" %t \"}\"")
 preview-required-option-list '("active" "tightpage" "auctex"
                                (preview-preserve-counters "counters"))
 preview-preserve-counters nil
 preview-default-option-list '("displaymath" "floats" "graphics" "textmath" "sections" "footnotes")
 preview-default-preamble '("\\RequirePackage[" ("," . preview-default-option-list)
                            "]{preview}[2004/11/05]")
 preview-LaTeX-command-replacements nil
 preview-dump-replacements '(preview-LaTeX-command-replacements
                             ("\\`\\([^ ]+\\)\\(?: +\\(?:\\(--?kanji[= ][^ ]+\\)\\|-\\(?:[^ \\\"]\\|\\\\.\\|\"[^\"]*\"\\)*\\)\\)*\\(.*\\)\\'" "\\1 -ini \\2 -interaction=nonstopmode \"&\\1\" " preview-format-name ".ini \\3")
                             )
 preview-undump-replacements '(("\\`\\([^ ]+\\)\\(?: +\\(?:\\(--?kanji[= ][^ ]+\\)\\|-\\(?:[^ \\\"]\\|\\\\.\\|\"[^\"]*\"\\)*\\)\\)*.* \"\\\\input\" \"\\\\detokenize{\" \\(.*\\) \"}\"\\'" "\\1 \\2 -interaction=nonstopmode -file-line-error " preview-format-name " \"/AUCTEXINPUT{\" \\3 \"}\"")
                               )
 preview-auto-cache-preamble 'ask
 preview-TeX-style-dir "/home/gmuller/.emacs.d/elpa/auctex-12.2.0/latex"
 )

Output from running `/usr/bin/gs -h':
GPL Ghostscript 9.27 (2019-04-04)
Copyright (C) 2018 Artifex Software, Inc.  All rights reserved.
Usage: gs [switches] [file1.ps file2.ps ...]
Most frequently used switches: (you can use # in place of =)
 -dNOPAUSE           no pause after page   | -q       `quiet
-- 
Guillaume MULLER
Data Scientist, PhD
Télécom Saint-Étienne (office i119)
25 rue du Dr Remy Annino
-
Laboratoire Hubert Curien (office e002)
18 rue du Pr Benoît Lauras
-
42000 Saint-Étienne
FRANCE
Mobile : +33 (0)6 51 22 33 49